#include <pluginlib/class_list_macros.h>
#include "NodeletListener.h"

PLUGINLIB_EXPORT_CLASS(autonom_a::NodeletListener, nodelet::Nodelet);

namespace autonom_a
{
	NodeletListener::NodeletListener(ros::NodeHandle &nh, std::string &name) : nh_(nh), name_(name) {}
	NodeletListener::NodeletListener() {}
	NodeletListener::~NodeletListener(){}
	void NodeletListener::onInit()
	{
		NODELET_INFO("Initializing nodelet: Listener");
		topic1_sub = nh_.subscribe("topic1", 1000, &NodeletListener::topicCallback1, this);
		topic2_sub = nh_.subscribe("topic2", 1000, &NodeletListener::topicCallback2, this);
	}
	
	void NodeletListener::topicCallback1(const Num::ConstPtr& msg)
	{
		//NODELET_DEBUG("form 1: %s, %s", std::to_string(msg->x).c_str(), std::to_string(msg->y).c_str());
	}
	void NodeletListener::topicCallback2(const Num::ConstPtr& msg)
	{
		//
	}
}
